%if 0%{?fedora} || 0%{?rhel} > 7
%bcond_without python3
%else
%bcond_with python3
%endif

%if %{with python3}
%global python %{__python3}
BuildRequires: python3-setuptools
BuildRequires: python3-devel
%else
%global python %{__python}
BuildRequires: python-setuptools
BuildRequires: python-devel
%endif

%global rolename v2v-conversion-host
%global roleprefix oVirt.
%global ansible_roles_dir ansible/roles


Name: v2v-conversion-host
Summary: Set of tools for configuring conversion hosts for ManageIQ
Version: 1.16.2
Release: 2%{?release_suffix}%{?dist}
Source0: https://github.com/ManageIQ/manageiq-v2v-conversion_host/releases/download/v%{version}/%{name}-%{version}.tar.gz
License: ASL 2.0
Group: Virtualization/Management
Url: http://www.ovirt.org

%description
A set of tools to configure and use hosts (oVirt, OpenStack) for ManageIQ

Project contsists of:
- Ansible role to setup hosts as conversion host for ManageIQ
- daemonizing wrapper for virt-v2v

%package ansible
Summary: Ansible role to setup oVirt host as conversion host for ManageIQ
Requires: ansible >= 2.4
BuildArch: noarch
Provides: ovirt-ansible-v2v-conversion-host = %{version}-%{release}
Obsoletes: ovirt-ansible-v2v-conversion-host < 1.11.0-1

%description ansible
Ansible role to setup hosts as conversion host for ManageIQ

%package wrapper
Summary: Daemonizing wrapper for virt-v2v
BuildArch: noarch
Requires: libcgroup-tools
%if %{with python3}
Requires: python3
Requires: python3-pycurl
%else
Requires: python >= 2.7
Requires: python-pycurl
Requires: python-six
%endif

%description wrapper
Daemonizing wrapper for virt-v2v.

%prep
%setup -c -q
#%patch1 -p1
## Remove backups caused by unclean patch application
#find -name '*.orig' | xargs rm -fv

%install
export DATA_DIR=%{buildroot}%{_datadir}
export BIN_DIR=%{buildroot}%{_bindir}
export PYTHON=%{python}
%{python} setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
sh build.sh install

# Create symlinks for backward compatibility with
# ovirt-ansible-v2v-conversion-host. Remove this later.
mkdir -p %{buildroot}%{_datadir}/ovirt-ansible-v2v-conversion-host/playbooks
ln -s %{_datadir}/%{name}-ansible/playbooks/conversion_host_check.yml %{buildroot}%{_datadir}/ovirt-ansible-v2v-conversion-host/playbooks/
ln -s %{_datadir}/%{name}-ansible/playbooks/conversion_host_disable.yml %{buildroot}%{_datadir}/ovirt-ansible-v2v-conversion-host/playbooks/
ln -s %{_datadir}/%{name}-ansible/playbooks/conversion_host_enable.yml %{buildroot}%{_datadir}/ovirt-ansible-v2v-conversion-host/playbooks/
# Create symlink for backward compatibility with CFME
ln -s %{_bindir}/virt-v2v-wrapper %{buildroot}/usr/bin/virt-v2v-wrapper.py

%files ansible
%{_datadir}/%{ansible_roles_dir}/
%{_datadir}/%{name}-ansible/
%{_datadir}/ovirt-ansible-v2v-conversion-host
%doc README.md
%doc docs/
%doc ansible/examples/
%license LICENSE

%files wrapper -f INSTALLED_FILES
%{_bindir}/virt-v2v-wrapper*
%doc README.md
%doc docs/
%license LICENSE

%pre wrapper
# Previously wrapper was installed from role. Remove this rogue file
# if this is first time we install the RPM.
if [ $1 -eq 1 -a -f /usr/bin/virt-v2v-wrapper.py ] ; then
    set -e
    rm -fv /usr/bin/virt-v2v-wrapper.py
fi

%changelog
* Wed Jul 15 2020 Tomáš Golembiovský <tgolembi@redhat.com> 1.16.2-2
- update URL with sources

* Tue Jul 14 2020 Tomáš Golembiovský <tgolembi@redhat.com> 1.16.2-1
- update to upstream version 1.16.2

* Tue Dec  3 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.16.0-3
- patch: wrapper: duplicate logs only for Kubevirt
- patch: wrapper: move atexit_command to common
- patch: wrapper: systemd: clean failed units at exit (RHBZ#1749347)

* Wed Nov 27 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.16.0-2
- patch: Fix LUKS key file opening and state file permissions

* Mon Nov 25 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.16.0-1
- update to upstream version 1.16.0
- add support for setuptools
- remove lines related to kubevirt provider

* Tue Aug 13 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.15.0-1
- update to upstream version 1.15.0

* Tue Jun 25 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.14.2-1
- update to upstream version 1.14.2
- remove merged patches

* Mon Jun 17 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.14.0-2
- add missing python dependencies
- patch: build: fix python path substitution

* Sun Jun 16 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.14.0-1
- Updated to upstream version 1.14.0

* Mon May 13 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.1-1
- Updated to upstream version 1.13.1

* Fri Apr 26 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.0-3
- drop patch: wrapper: kubevirt: use labels instead of annotations

* Thu Apr 25 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.0-2
- patch: wrapper: kubevirt: use labels instead of annotations

* Thu Apr 18 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.0-1
- Updated to upstream version 1.13.0
- Removed merged patches

* Tue Apr 16 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.12.1-5
- patch: drop XDG_RUNTIME_DIR from environment (RHBZ#1700461)

* Wed Apr 10 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.12.1-4
- patch: fix creation of .ssh directory
- replace post-install and post-uninstall scripts with pre-install script and
  real symbolic link

* Thu Apr  4 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.12.1-3
- fix error in post-install script

* Tue Apr  2 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.12.1-2
- patch: ansible: fix check to allow checking SSH transport method

* Mon Mar 25 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.12.1-1
- Updated to upstream version 1.12.1

* Sun Mar 24 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.12.0-1
- Updated to upstream version 1.12.0

* Wed Mar 13 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.11.0-1
- Updated to upstream version 1.11.0
